# Distro Grub Themes

[![name](https://img.shields.io/github/license/AdisonCavani/distro-grub-themes)](https://github.com/AdisonCavani/distro-grub-themes/blob/master/LICENSE)
[![name](https://img.shields.io/github/v/release/AdisonCavani/distro-grub-themes)](https://github.com/AdisonCavani/distro-grub-themes/releases)
[![Build](https://github.com/AdisonCavani/distro-grub-themes/actions/workflows/update-content.yml/badge.svg?event=push)](https://github.com/AdisonCavani/distro-grub-themes/actions/workflows/update-content.yml)<br>

A pack of GRUB2 themes for different Linux distribution and OS.<br>
It aims to replace default Grub look, with nice and colorful theme.

## Get started

- [Themes](#themes)
  - [Supported distributions](#supported-distributions)
  - [Supported vendors](#supported-vendors)
- [Preview theme](#preview-theme)

  - [Distro themes](#distro-themes)
  - [Vendor themes](#vendor-themes)

- [Installation](#installation)
  - [Installation via Grub Customizer](#installation-via-grub-customizer)
  - [Manual Installation](#manual-installation)
  - [Install theme in Ventoy](#install-theme-in-ventoy)
- [To-do list](#to-do-list)

# Themes

## Supported distributions

- Arch Linux
- Arco Linux
- Artix Linux
- CentOS
- Debian
- Deepin
- ElementaryOS
- EndeavourOS
- FreeBSD
- Garuda
- Gentoo
- KDE Neon
- Linux Mint
- Manjaro
- MX Linux
- openSUSE
- Pop! OS
- Rocky Linux
- Slackware
- Solus
- Ubuntu
- Ubuntu Mate
- Ventoy
- Void Linux
- Windows 10
- Windows 11
- Xero Linux
- Zorin OS

## Supported vendors

- Acer
- Aorus
- Apple
- Asus
- ASRock
- Dell
- Framework
- Gigabyte
- HP
- Lenovo
- MSI
- Razer
- System76
- Toshiba

## Preview theme

### Distro themes

<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/grub-theme/master/preview/Arch%20Linux.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Arco%20Linux.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Artix%20Linux.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/CentOS.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Debian.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Deepin.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/ElementaryOS.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/EndeavourOS.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/FreeBSD.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Garuda.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Gentoo.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/KDEneon.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Linux%20Mint.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Manjaro.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/MX%20Linux.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/OpenSUSE.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/PopOS.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Rocky%20Linux.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Slackware.png" width="49%"/> 
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Solus.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Ubuntu.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/UbuntuMate.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Void%20Linux.png" width="49%"/>  
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Ventoy.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Windows%2010.png" width="49%"/>  
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Windows%2011.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Xero.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/ZorinOS.png" width="49%"/>
</p>

### Vendor themes

<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Acer.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Aorus.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Apple.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Asus.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/ASRock.png" width="49%"/>
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Dell.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Framework.png" width="49%"/>  
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Gigabyte.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/HP.png" width="49%"/>
<img src="https://github.com/AdisonCavani/distro-grub-themes/blob/master/preview/Lenovo.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/MSI.png" width="49%"/>  
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Razer.png" width="49%"/>
</p>
<p float="left">
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/System76.png" width="49%"/>  
<img src="https://raw.githubusercontent.com/AdisonCavani/distro-grub-themes/master/preview/Toshiba.png" width="49%"/>
</p>

# Installation

## Installation via Grub Customizer

In order to clone repository from Github you have to install `git` package <br>
Alternatively you can download zip package - **Code -> Download ZIP**

#### Clone the repository

You can clone repository or go to [release page](https://github.com/AdisonCavani/distro-grub-themes/releases) and download a single theme

```
git clone https://github.com/AdisonCavani/distro-grub-themes.git
```

### Install Grub Customizer

Apt

```
sudo add-apt-repository ppa:danielrichter2007/grub-customizer
sudo apt-get update
sudo apt-get install grub-customizer
```

Pacman

```
sudo pacman -S grub-customizer
```

Eopkg

```
sudo eopkg install grub-customizer
```

### Install pre-made theme with Grub Customizer

- Open Grub Customizer
- Go to **Appearance settings** tab
- Select _Custom resolution_ and type in your resolution. E.g: 1920x1080
- Press _Add theme_ button, go to your directory, where you have cloned repository. In my case `/home/adison/distro-grub-theme`
- Select your theme located in `/themes` directory
- Save changes

### Install custom-made theme with Grub Customizer

- Edit your theme located in `/customize` folder
- With your file manager, inside edited theme directory, select all files and **create archive** with .tar or .tar.xz extension
- Open Grub Customizer
- Go to **Appearance settings** tab
- Enable _Custom resolution_ checkbox and select your resolution or type it in manually. E.g: 1920x1080
- Press _Add theme_ button, go to your directory, where you have cloned repository. In my case `/home/adison/distro-grub-theme`
- Change view settings from _Archive files_ to **All files**
- Select your archive
- Save changes

## Manual Installation

In order to clone repository from Github you have to install `git` package <br>
Alternatively you can download zip package - **Code -> Download ZIP**

#### Clone the repository

You can clone repository or go to [release page](https://github.com/AdisonCavani/distro-grub-themes/releases) and download a single theme

```
git clone https://github.com/AdisonCavani/distro-grub-themes.git
```

#### Create themes directory

```
sudo mkdir /boot/grub/themes
```

#### Edit or use pre-made theme

```
cd distro-grub-themes/customize
```

#### Copy theme

Theme must be unpacked (in folder)

```
sudo cp -r ubuntu/ /boot/grub/themes
```

#### Edit Grub config

You can use your favourite text editor

```
sudo nano /etc/default/grub
```

Uncomment this line and set your resolution:

```
GRUB_GFXMODE=1920x1080
```

At the end of file add theme path:

```
GRUB_THEME="/boot/grub/themes/ubuntu/theme.txt"
```

Replace "ubuntu" with selected theme<br>
Ctrl+O to save, Ctrl+X to exit

#### Update Grub config

You will need to tell Grub to update its configuration to include the new theme.

Ubuntu and Debian-based systems:

```
sudo update-grub
```

Other Linux distro:

```
sudo grub-mkconfig -o /boot/grub/grub.cfg
```

## Install theme in Ventoy

Extract `Ventoy.tar` to `/ventoy/theme` directory

Locate `ventoy.json` file in `/plugin/ventoy/` directory and change:

```
"file": "/ventoy/theme/blur/theme.txt",
```

to

```
"file": "/ventoy/theme/Ventoy/theme.txt",
```

For more information head over to [Ventoy website](https://www.ventoy.net/en/plugin_theme.html)

# To-do list

| Feature                   | Status        |
| ------------------------- | ------------- |
| 4K & 2K displays support  | In the future |
| Ultrawide display support | In the future |
